function sleep(milliseconds) {
  var start = new Date().getTime();
  for (i = 0; i < 1e7; i++) {
    if ((new Date().getTime() - start) > milliseconds){
      break;
    }
  }
}


function updateSlider(slideAmount, ID) {
	//get the element
	var display = document.getElementById(ID);
	//show the amount
	display.innerHTML=parseFloat(slideAmount).toFixed(1);

	try {
		if ( socket_sv.readyState == 1) {
			socket_sv.send(ID + ';' + slideAmount )
		};
	} catch(exception) {
		alert('Error updateSlider ' + exception);  
	}
	
}


function updateSlider2d(slideAmount, ID) {
	//get the element
	var display = document.getElementById(ID);
	//show the amount
	display.innerHTML=parseFloat(slideAmount).toFixed(2);

	try {
		if ( socket_sv.readyState == 1) {
			socket_sv.send(ID + ';' + slideAmount )
		};
	} catch(exception) {
		alert('Error updateSlider ' + exception);  
	}
}
	


function updateSliderInt(slideAmount, ID) {
	//get the element
	var display = document.getElementById(ID);
	//show the amount
	display.innerHTML=parseInt(slideAmount);

	try {
		if ( socket_sv.readyState == 1) {
			socket_sv.send(ID + ';' + slideAmount )
		};
	} catch(exception) {
		alert('Error updateSlider ' + exception);  
	}
}	



function updateMonitorSlider(slideAmount, ID) {

	try {
		if ( socket_sv.readyState == 1) {
			socket_sv.send(ID + ';' + slideAmount )
		};
	} catch(exception) {
		alert('Error updateMonitorSlider ' + exception);  
	}
	
}

function updateTextInput(ID) {
	document.getElementById(ID).onkeydown=function(e){
		document.getElementById(ID).style.color = "red";
		if(e.keyCode==13){
			//alert('you pressed enter')
			document.getElementById(ID).style.color = "black";
			var value = document.getElementById(ID).value
			try {
				socket_sv.send(ID + ';' + value );
			} catch(exception) {
				alert('Error updateTextInput ' + exception);  
			}
		}
	}
	
}


function updateWidthSlider(slideAmount, ID) {
//get the element
var display = document.getElementById(ID);
//show the amount
display.innerHTML=slideAmount;
    cw = document.getElementById("CenterWidth");
    fw = document.getElementById("FrontWidth");
    rw = document.getElementById("RearWidthWidthValue");
    fwv = fw.value*1;
    rwv =180-Math.floor(cw.value * 0.5+fwv);
rw.innerHTML=rwv; 
rwMeter = document.getElementById("RearWidth");
rwMeter.value = rwv;
makeMeter(rwMeter,1,rwv);

	try {
		if ( socket_sv.readyState == 1) {
			socket_sv.send(ID + ';' + slideAmount )
		};
	} catch(exception) {
		alert('Error updateWidthSlider ' + exception);  
	}
	
}

function getComboA(select, sel) {
	//var value = sel.options[ sel.selectedIndex].value;
	var value = sel.selectedIndex;
	//alert('<p>For: ' + select + ' Got value: ' + value);

	try {
		socket_sv.send(select + ';' + value);
	} catch(exception) {
		alert('Error getComboA ' + exception);  
	}
	
}

function getRadio(select, sel) {
	var value = document.getElementById(select).checked;
	//alert('<p>For: ' + select + ' Got value: ' + value);
	if (select == "Song" )
		value = 0;
	if (select == "Window")
		value = 1;
	//alert('<p>For: ' + 'MeterType' + ' Got value: ' + value);

	try {
		socket_sv.send('MeterType' + ';' + value);
	} catch(exception) {
		alert('Error getComboA ' + exception);  
	}
	
}


function cb(checkbox)
{
var state;
	if(document.getElementById(checkbox).checked) {
		state = 1;
		if (checkbox == "NormOnly") {
			document.getElementById('ZagInnerControls').className='ZagInnerControlsGreyedOut';
			document.getElementById('ZC2F').className='TextInputcNarrowGreyedOut';
			document.getElementById('ZLFE2F').className='TextInputcNarrowGreyedOut';
			document.getElementById('ZR2F').className='TextInputcNarrowGreyedOut';
			}
		if (checkbox == "MatchLevel") {
		   document.getElementById('ZagOutputLevel2').className='TextInputcNarrowGreyedOut';
		   document.getElementById('ZagOutputLevel').className='TextInputcNarrowGreyedOut';
		   document.getElementById('ZMaxOutput').className='TextInputcNarrowGreyedOut';
		   }
		}
	else {
		state = 0;
		if (checkbox == "NormOnly") {
			document.getElementById('ZagInnerControls').className='ZagInnerControls';	
			document.getElementById('ZC2F').className='TextInputcNarrow';	
			document.getElementById('ZLFE2F').className='TextInputcNarrow';	
			document.getElementById('ZR2F').className='TextInputcNarrow';	
			}			
		if (checkbox == "MatchLevel") {
		   document.getElementById('ZagOutputLevel').className='TextInputcNarrow';
		   document.getElementById('ZagOutputLevel2').className='TextInputcNarrow';
		   document.getElementById('ZMaxOutput').className='TextInputcNarrow';
		   }
		}


	try {
		socket_sv.send(checkbox + ';' + state);
	} catch(exception) {
		alert('Error cb ' + exception);  
	}

}

function ButtonPress(ID)
{
	try {
		socket_sv.send(ID + ';' + 1);
		sleep(150);
	} catch(exception) {
		alert('Error ButtonPress' + exception);  
	}

}

function getComboB(select, sel) {
	//var value = sel.options[ sel.selectedIndex].value;
	var value = sel.selectedIndex;
	if (value == 1 ) {
		document.getElementById('panmode').className='selectc';
		document.getElementById('ATMode').className='selectc';
		document.getElementById('ArcTanControls').className='RoundedTable';
		document.getElementById('SliceControls').className='SliceControlsGreyedOut';
		}
	if (value == 2 ) {
		document.getElementById('panmode').className='selectc';
		document.getElementById('ATMode').className='selectc';
		document.getElementById('ArcTanControls').className='RoundedTable';
		document.getElementById('SliceControls').className='SliceControls';
		}
	if (value == 0 ) {
		document.getElementById('panmode').className='selectcGreyedOut';
		document.getElementById('ATMode').className='selectcGreyedOut';
		//document.getElementById('CPP').className='SelectOptionGreyedOut';
		//document.getElementById('CAP').className='SelectOptionGreyedOut';
		//document.getElementById('Sum').className='SelectOptionGreyedOut';
		//document.getElementById('Across').className='SelectOptionGreyedOut';
		//document.getElementById('Diagonal').className='SelectOptionGreyedOut';
		document.getElementById('ArcTanControls').className='GreyedOut';
		document.getElementById('SliceControls').className='RoundedTable';
		}
		
	//alert('<p>For: ' + select + ' Got value: ' + value);

	try {
		socket_sv.send(select + ';' + value);
	} catch(exception) {
		alert('Error getComboB ' + exception);  
	}
	
}

function getComboC(select, sel) {
	//var value = sel.options[ sel.selectedIndex].value;
	var value = sel.selectedIndex;
	if (value == 0 ) {
		document.getElementById('LILabel').innerHTML='LI';
		document.getElementById('RILabel').innerHTML='RI';
		}
	if (value == 1 ) {
		document.getElementById('LILabel').innerHTML='LI';
		document.getElementById('RILabel').innerHTML='RI';
		}
	if (value == 2 ) {
		document.getElementById('LILabel').innerHTML='LI LI';
		document.getElementById('RILabel').innerHTML='RI RI';
		}
		
	//alert('<p>For: ' + select + ' Got value: ' + value);

	try {
		socket_sv.send(select + ';' + value);
	} catch(exception) {
		alert('Error getComboC ' + exception);  
	}
	
}
